<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.sl.usermodel (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.sl.usermodel (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/image/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/ss/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/usermodel/package-summary.html"
               target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.sl.usermodel</h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Interface Summary table, listing interfaces, and an explanation">
                <caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Interface</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/AutoShape.html"
                                            title="interface in org.apache.poi.sl.usermodel">AutoShape</a>&lt;S extends
                        <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                           title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/Background.html"
                                            title="interface in org.apache.poi.sl.usermodel">Background</a>&lt;S extends
                        <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                           title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/ColorStyle.html"
                                            title="interface in org.apache.poi.sl.usermodel">ColorStyle</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/Comment.html"
                                            title="interface in org.apache.poi.sl.usermodel">Comment</a></td>
                    <td class="colLast">
                        <div class="block">Common interface for comments</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/ConnectorShape.html"
                                            title="interface in org.apache.poi.sl.usermodel">ConnectorShape</a>&lt;S
                        extends <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                   title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/FillStyle.html"
                                            title="interface in org.apache.poi.sl.usermodel">FillStyle</a></td>
                    <td class="colLast">
                        <div class="block">This interface is the counterpart to <a
                                href="../../../../../org/apache/poi/sl/usermodel/StrokeStyle.html"
                                title="interface in org.apache.poi.sl.usermodel"><code>StrokeStyle</code></a> - it's
                            specifies the filling of a shape
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/FontCollection.html"
                                            title="interface in org.apache.poi.sl.usermodel">FontCollection</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/FreeformShape.html"
                                            title="interface in org.apache.poi.sl.usermodel">FreeformShape</a>&lt;S
                        extends <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                   title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/GraphicalFrame.html"
                                            title="interface in org.apache.poi.sl.usermodel">GraphicalFrame</a>&lt;S
                        extends <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                   title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/GroupShape.html"
                                            title="interface in org.apache.poi.sl.usermodel">GroupShape</a>&lt;S extends
                        <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                           title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/Hyperlink.html"
                                            title="interface in org.apache.poi.sl.usermodel">Hyperlink</a>&lt;S extends
                        <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                           title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;
                    </td>
                    <td class="colLast">
                        <div class="block">A PowerPoint hyperlink</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/Line.html"
                                            title="interface in org.apache.poi.sl.usermodel">Line</a>&lt;S extends <a
                            href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                            title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                            href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                            title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                            href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                            title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;
                    </td>
                    <td class="colLast">
                        <div class="block">Interface for Lines ...</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/LineDecoration.html"
                                            title="interface in org.apache.poi.sl.usermodel">LineDecoration</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/MasterSheet.html"
                                            title="interface in org.apache.poi.sl.usermodel">MasterSheet</a>&lt;S
                        extends <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                   title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/Notes.html"
                                            title="interface in org.apache.poi.sl.usermodel">Notes</a>&lt;S extends <a
                            href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                            title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                            href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                            title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                            href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                            title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/ObjectData.html"
                                            title="interface in org.apache.poi.sl.usermodel">ObjectData</a></td>
                    <td class="colLast">
                        <div class="block">Common interface for OLE shapes, i.e.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/ObjectMetaData.html"
                                            title="interface in org.apache.poi.sl.usermodel">ObjectMetaData</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/ObjectShape.html"
                                            title="interface in org.apache.poi.sl.usermodel">ObjectShape</a>&lt;S
                        extends <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                   title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;
                    </td>
                    <td class="colLast">
                        <div class="block">An shape which references an embedded OLE object</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                            title="interface in org.apache.poi.sl.usermodel">PaintStyle</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.GradientPaint.html"
                            title="interface in org.apache.poi.sl.usermodel">PaintStyle.GradientPaint</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.SolidPaint.html"
                                            title="interface in org.apache.poi.sl.usermodel">PaintStyle.SolidPaint</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.TexturePaint.html"
                            title="interface in org.apache.poi.sl.usermodel">PaintStyle.TexturePaint</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                            title="interface in org.apache.poi.sl.usermodel">PictureData</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/PictureShape.html"
                                            title="interface in org.apache.poi.sl.usermodel">PictureShape</a>&lt;S
                        extends <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                   title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                            title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;S
                        extends <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                   title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/PlaceholderDetails.html"
                                            title="interface in org.apache.poi.sl.usermodel">PlaceholderDetails</a></td>
                    <td class="colLast">
                        <div class="block">Extended details about placholders</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/Resources.html"
                                            title="interface in org.apache.poi.sl.usermodel">Resources</a></td>
                    <td class="colLast">
                        <div class="block">Common SlideShow resources, such as fonts, pictures
                            and multimedia data
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/Shadow.html"
                                            title="interface in org.apache.poi.sl.usermodel">Shadow</a>&lt;S extends <a
                            href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                            title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                            href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                            title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                            href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                            title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                            title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S extends <a
                            href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                            title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                            href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                            title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                            href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                            title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                            title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;S
                        extends <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                   title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                                            title="interface in org.apache.poi.sl.usermodel">Sheet</a>&lt;S extends <a
                            href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                            title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                            href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                            title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                            href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                            title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;
                    </td>
                    <td class="colLast">
                        <div class="block">Common parent of Slides, Notes and Masters</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html"
                                            title="interface in org.apache.poi.sl.usermodel">SimpleShape</a>&lt;S
                        extends <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                   title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                            title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;S extends <a
                            href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                            title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                            href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                            title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                            href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                            title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                            title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;S extends
                        <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                           title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/StrokeStyle.html"
                                            title="interface in org.apache.poi.sl.usermodel">StrokeStyle</a></td>
                    <td class="colLast">
                        <div class="block">This interface specifies the line style of a shape</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/TableCell.html"
                                            title="interface in org.apache.poi.sl.usermodel">TableCell</a>&lt;S extends
                        <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                           title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                                            title="interface in org.apache.poi.sl.usermodel">TableShape</a>&lt;S extends
                        <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                           title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/TabStop.html"
                                            title="interface in org.apache.poi.sl.usermodel">TabStop</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/TextBox.html"
                                            title="interface in org.apache.poi.sl.usermodel">TextBox</a>&lt;S extends <a
                            href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                            title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                            href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                            title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                            href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                            title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;
                    </td>
                    <td class="colLast">
                        <div class="block">Represents a TextFrame shape in PowerPoint.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                            title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S
                        extends <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                   title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,T&gt;,T
                        extends <a href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                   title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.BulletStyle.html"
                            title="interface in org.apache.poi.sl.usermodel">TextParagraph.BulletStyle</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                            title="interface in org.apache.poi.sl.usermodel">TextRun</a></td>
                    <td class="colLast">
                        <div class="block">Some text.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/TextShape.html"
                                            title="interface in org.apache.poi.sl.usermodel">TextShape</a>&lt;S extends
                        <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                           title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/AbstractColorStyle.html"
                                            title="class in org.apache.poi.sl.usermodel">AbstractColorStyle</a></td>
                    <td class="colLast">
                        <div class="block">Helper class for ColorStyle - not part of the API / implementation may change
                            any time
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/Insets2D.html"
                                            title="class in org.apache.poi.sl.usermodel">Insets2D</a></td>
                    <td class="colLast">
                        <div class="block">This is a replacement for <code>Insets</code> which works on doubles
                            instead of ints
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/SlideShowFactory.html"
                                            title="class in org.apache.poi.sl.usermodel">SlideShowFactory</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Enum Summary table, listing enums, and an explanation">
                <caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Enum</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/AutoNumberingScheme.html"
                                            title="enum in org.apache.poi.sl.usermodel">AutoNumberingScheme</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/sl/usermodel/LineDecoration.DecorationShape.html"
                            title="enum in org.apache.poi.sl.usermodel">LineDecoration.DecorationShape</a></td>
                    <td class="colLast">
                        <div class="block">Represents the shape decoration that appears at the ends of lines.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/sl/usermodel/LineDecoration.DecorationSize.html"
                            title="enum in org.apache.poi.sl.usermodel">LineDecoration.DecorationSize</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/sl/usermodel/ObjectMetaData.Application.html"
                            title="enum in org.apache.poi.sl.usermodel">ObjectMetaData.Application</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.GradientPaint.GradientType.html"
                            title="enum in org.apache.poi.sl.usermodel">PaintStyle.GradientPaint.GradientType</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.PaintModifier.html"
                            title="enum in org.apache.poi.sl.usermodel">PaintStyle.PaintModifier</a></td>
                    <td class="colLast">
                        <div class="block">The PaintStyle can be modified by secondary sources, e.g.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/sl/usermodel/PictureData.PictureType.html"
                            title="enum in org.apache.poi.sl.usermodel">PictureData.PictureType</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                            title="enum in org.apache.poi.sl.usermodel">Placeholder</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/sl/usermodel/PlaceholderDetails.PlaceholderSize.html"
                            title="enum in org.apache.poi.sl.usermodel">PlaceholderDetails.PlaceholderSize</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/PresetColor.html"
                                            title="enum in org.apache.poi.sl.usermodel">PresetColor</a></td>
                    <td class="colLast">
                        <div class="block">Preset colors defined in DrawingML aka known/system colors</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/RectAlign.html"
                                            title="enum in org.apache.poi.sl.usermodel">RectAlign</a></td>
                    <td class="colLast">
                        <div class="block">Specifies possible rectangle alignment types.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/ShapeType.html"
                                            title="enum in org.apache.poi.sl.usermodel">ShapeType</a></td>
                    <td class="colLast">
                        <div class="block">known preset shape geometries in PresentationML</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/StrokeStyle.LineCap.html"
                                            title="enum in org.apache.poi.sl.usermodel">StrokeStyle.LineCap</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/sl/usermodel/StrokeStyle.LineCompound.html"
                            title="enum in org.apache.poi.sl.usermodel">StrokeStyle.LineCompound</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/StrokeStyle.LineDash.html"
                                            title="enum in org.apache.poi.sl.usermodel">StrokeStyle.LineDash</a></td>
                    <td class="colLast">
                        <div class="block">The line dash with pattern.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/TableCell.BorderEdge.html"
                                            title="enum in org.apache.poi.sl.usermodel">TableCell.BorderEdge</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/TabStop.TabStopType.html"
                                            title="enum in org.apache.poi.sl.usermodel">TabStop.TabStopType</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.FontAlign.html"
                            title="enum in org.apache.poi.sl.usermodel">TextParagraph.FontAlign</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.TextAlign.html"
                            title="enum in org.apache.poi.sl.usermodel">TextParagraph.TextAlign</a></td>
                    <td class="colLast">
                        <div class="block">Specifies a list of text alignment types</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/TextRun.FieldType.html"
                                            title="enum in org.apache.poi.sl.usermodel">TextRun.FieldType</a></td>
                    <td class="colLast">
                        <div class="block">Type of placeholder fields</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/TextRun.TextCap.html"
                                            title="enum in org.apache.poi.sl.usermodel">TextRun.TextCap</a></td>
                    <td class="colLast">
                        <div class="block">Type of text capitals</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/TextShape.TextAutofit.html"
                                            title="enum in org.apache.poi.sl.usermodel">TextShape.TextAutofit</a></td>
                    <td class="colLast">
                        <div class="block">Specifies alist of auto-fit types.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/sl/usermodel/TextShape.TextDirection.html"
                            title="enum in org.apache.poi.sl.usermodel">TextShape.TextDirection</a></td>
                    <td class="colLast">
                        <div class="block">Vertical Text Types</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/sl/usermodel/TextShape.TextPlaceholder.html"
                            title="enum in org.apache.poi.sl.usermodel">TextShape.TextPlaceholder</a></td>
                    <td class="colLast">
                        <div class="block">This enum represents a compromise for the handling of
                            HSLF run types (see org.apache.poi.hslf.record.TextHeaderAtom) and
                            XSLF placeholders (see org.apache.poi.xslf.usermodel.Placeholder).
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/sl/usermodel/VerticalAlignment.html"
                                            title="enum in org.apache.poi.sl.usermodel">VerticalAlignment</a></td>
                    <td class="colLast">
                        <div class="block">Specifies a list of available anchoring types for text

                            <!-- FIXME: Identical to <a href="../../../../../org/apache/poi/ss/usermodel/VerticalAlignment.html" title="enum in org.apache.poi.ss.usermodel"><code>VerticalAlignment</code></a>.</div>
                           </td>
                           </tr>
                           </tbody>
                           </table>
                           </li>
                           </ul>
                           </div>
                           <!-- ======= START OF BOTTOM NAVBAR ====== -->
                            <div class="bottomNav"><a name="navbar.bottom">
                                <!--   -->
                            </a>
                                <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip
                                    navigation links</a></div>
                                <a name="navbar.bottom.firstrow">
                                    <!--   -->
                                </a>
                                <ul class="navList" title="Navigation">
                                    <li><a href="../../../../../overview-summary.html">Overview</a></li>
                                    <li class="navBarCell1Rev">Package</li>
                                    <li>Class</li>
                                    <li><a href="package-use.html">Use</a></li>
                                    <li><a href="package-tree.html">Tree</a></li>
                                    <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
                                    <li><a href="../../../../../index-all.html">Index</a></li>
                                    <li><a href="../../../../../help-doc.html">Help</a></li>
                                </ul>
                            </div>
                            <div class="subNav">
                                <ul class="navList">
                                    <li><a href="../../../../../org/apache/poi/sl/image/package-summary.html">Prev&nbsp;Package</a>
                                    </li>
                                    <li><a href="../../../../../org/apache/poi/ss/package-summary.html">Next&nbsp;Package</a>
                                    </li>
                                </ul>
                                <ul class="navList">
                                    <li>
                                        <a href="../../../../../index.html?org/apache/poi/sl/usermodel/package-summary.html"
                                           target="_top">Frames</a></li>
                                    <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
                                </ul>
                                <ul class="navList" id="allclasses_navbar_bottom">
                                    <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
                                </ul>
                                <div>
                                    <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

                                    </script>
                                </div>
                                <a name="skip.navbar.bottom">
                                    <!--   -->
                                </a></div>
                            <!-- ======== END OF BOTTOM NAVBAR ======= -->
                            <p class="legalCopy">
                                <small>
                                    <i>Copyright 2018 The Apache Software Foundation or
                                        its licensors, as applicable.</i>
                                </small>
                            </p>
</body>
</html>
